;;;; -*- Mode: Lisp; Package: ASDF; -*-

(in-package :asdf)

#+lispworks
(require "parsergen")

(defsystem asn.1
  :description "ASN.1 for Common Lisp"
  :version "1.1"
  :author "Chun Tian (binghe) <binghe.lisp@gmail.com>"
  :depends-on (:ieee-floats           ; ASN.1 OPAQUE FLOAT encode/decode
               :trivial-gray-streams) ; Maybe used for portable BER-STREAM
  :serial t
  :components ((:file "package")
               #+lispworks
	       (:module "compiler"
		:serial t
		:components ((:file "reader")
			     (:file "syntax")
			     (:file "parser")
			     (:file "interface")))
               (:module "runtime"
		:serial t
		:components ((:file "base")
			     (:file "object-id")
			     (:file "ber")
                             #+(and lispworks capi)
                             (:file "mibrowser")))))
